Bug 101107 - need to remove knotes desktop affinity
Summary: need to remove knotes desktop affinity
Status: REPORTED
Alias: None
Product: knotes
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 57 votes (vote)
Target Milestone: ---
Assignee: Michael Brade
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-08 15:59 UTC by Chris Smith
Modified: 2010-11-19 09:14 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
knotes no desktop affinity 3.5.10 (2.81 KB, patch)
2008-11-26 14:15 UTC, Andrea Iacovitti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Smith 2005-03-08 15:59:56 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Compiled From Sources
Compiler:          gcc 3.4.3.20050110 
OS:                Linux

Would like to able to turn off the desktop affinity of knotes.
When using knotes from the system tray the note always opens on the last desktop it was saved from instead of the desktop I want to open and view on, further more the focus is then given to that other desktop creating a very annoying scenario.
I don't want my notes to have desktop affinity and would like a workaround or a feature to turn this behavior off.
Thank you.
Comment 1 metrol 2006-04-06 01:25:25 UTC
Once upon a time that's exactly how knotes worked.  That's also back when I used to use it all the time.  With the desktop specific changes I rarely use this app any more.  Funny how a little UI tweak can make something all but useless for someone like myself.  Ah well, thought I'd just toss in a wordy ME TOO into this mix.  I'd love to have knotes usable again.
Comment 2 doug 2007-05-16 01:47:40 UTC
I had also asked for this. It should be an easy fix, a toggle to say do not remember the desktop and if its set just load the note. I updated to 3.5.6 hoping for this.
Comment 3 doug 2007-08-16 00:30:21 UTC
alas I am giving up on knotes; this change would not even require a gui mod, just add a keyword in the rc file. I guess few people are using knotes; a shame now theres 1 less
Comment 4 Guillermo Antonio Amaral Bastidas 2007-10-13 19:00:13 UTC
SVN commit 724859 by gamaral:

BUG:101107

  Added "Remember Desktop" option
         can be configured per note or globably.



 M  +4 -0      ChangeLog  
 M  +4 -1      knote.cpp  
 M  +4 -0      knoteconfig.kcfg  
 M  +6 -0      knoteconfigdlg.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=724859
Comment 5 Chris Smith 2007-10-15 17:44:28 UTC
Does a patchset exist to backport this to 3.5.7?
Comment 6 Chris Smith 2008-09-14 16:46:29 UTC
Still doesn't work. In kde4 svn the option exists but it doesn't work. The desktop is remembered regardless of the settings, either globally or per note.
Comment 7 Andrea Iacovitti 2008-11-26 14:09:27 UTC
I confirm the comment #6
Adding this patch must solve the problem:
--- knote.cpp~	2008-11-26 12:55:58.000000000 +0100
+++ knote.cpp	2008-11-26 14:03:32.000000000 +0100
@@ -1045,7 +1045,10 @@
     // KWin does not preserve these properties for hidden windows
     slotUpdateKeepAboveBelow();
     slotUpdateShowInTaskbar();
-    toDesktop( m_config->desktop() );
+    int desktop = m_config->desktop();
+    if ( !m_config->rememberDesktop() )
+      desktop = KWindowSystem::currentDesktop();
+    toDesktop( desktop );
     move( m_config->position() );
     m_config->setHideNote( false );
   }

don't tested on kde4, only on kde 3.5.
Comment 8 Andrea Iacovitti 2008-11-26 14:15:11 UTC
Created attachment 28836 [details]
knotes no desktop affinity 3.5.10

This is the patch i applied on kde 3.5.10 to remove knotes desktop affinity.
Tested and works (for me).

Andrea.
Comment 9 Bernd Schubert 2009-02-28 02:21:13 UTC
I have knotes from kde-4.2.0 installed and don't have the "Remember desktop" option set (a quite annoying feature). Still, it always switches between my virtual desktops and so is barely usable.
Comment 10 metrol 2009-05-12 19:13:01 UTC
Knotes 3.9 on KDE 4.2.3 and this is still an issue.
Comment 11 Chris Smith 2009-05-12 19:58:24 UTC
Yes, and after the kde-4 debacle I've switched to Gnome - and using tomboy for notes - works a treat (and will probably work fine with kde)!
Comment 12 Jithin Emmanuel 2009-08-15 10:42:42 UTC
I also have problem with knotes opening on the desktop it was last closed.

Even though I have remember desktop unchecked it still opens on desktop 1 even though I am at desktop 4.
Comment 13 Juan Carlos Torres 2009-09-20 02:34:02 UTC
This is still present in KNotes 3.9 using KDE 4.3.1.
Comment 14 Andrej Orešnik 2010-11-19 09:14:04 UTC
I find the "desktop specific" changes extremely useful (even if they don't work 100%), so I politely ask the maintainer to not remove this feature permanently in official version.

I work on maintenance and development of several different projects and I have separate desktops for different projects. I found out that KNotes is THE most efficient method for organized brain dumps, planning, and to-do list management. It enables me to do this with minimal number of keypresses and mouse clicks and it enhances situational awareness.

For this to work, the notes need to be at exactly right desktop and exactly right position (which is where I left them) and not just anywhere they please to show up. So I have a use case where this feature is not only greatly useful, but absolutely crucial.